# Enum Class SmiManager.OctetStringDefaultFormat

java.lang.Object
java.lang.Enum<SmiManager.OctetStringDefaultFormat>
com.snmp4j.smi.SmiManager.OctetStringDefaultFormat

All Implemented Interfaces:
  `Serializable, Comparable<SmiManager.OctetStringDefaultFormat>, Constable`

Enclosing class:
  `SmiManager`

public static enum SmiManager.OctetStringDefaultFormat extends Enum<SmiManager.OctetStringDefaultFormat>
The default formats to be applied for displaying `OctetString`s.

Version:
  2.0.0
Author:
  Frank Fock

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASCII`
  Use 7-bit printing with `SNMP4JSettings.setDefaultNonPrintableEscapeCharacter(Character)` taken into account for non-printable characters (fall-back to `Hexadecimal` if no escape character is specified).
  `Binary`
  Use binary representation with ':' as byte separator character.
  `Decimal`
  Use decimal representation with '.' as byte separator character.
  `Hexadecimal`
  Use hexadecimal representation with ':' as byte separator character.
  `MIB`
  Use the MIB's DISPLAY-HINT clause if present and then the ASCII representation with taking `SNMP4JSettings.setDefaultNonPrintableEscapeCharacter(Character)` into acount.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayHint()`
  Gets the DISPLAY-HINT format.
  `static SmiManager.OctetStringDefaultFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SmiManager.OctetStringDefaultFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MIB

    public static final SmiManager.OctetStringDefaultFormat MIB
    Use the MIB's DISPLAY-HINT clause if present and then the ASCII representation with taking `SNMP4JSettings.setDefaultNonPrintableEscapeCharacter(Character)` into acount.

  - ### ASCII

    public static final SmiManager.OctetStringDefaultFormat ASCII
    Use 7-bit printing with `SNMP4JSettings.setDefaultNonPrintableEscapeCharacter(Character)` taken into account for non-printable characters (fall-back to `Hexadecimal` if no escape character is specified).

  - ### Hexadecimal

    public static final SmiManager.OctetStringDefaultFormat Hexadecimal
    Use hexadecimal representation with ':' as byte separator character.

  - ### Decimal

    public static final SmiManager.OctetStringDefaultFormat Decimal
    Use decimal representation with '.' as byte separator character.

  - ### Binary

    public static final SmiManager.OctetStringDefaultFormat Binary
    Use binary representation with ':' as byte separator character.

- ## Method Details

  - ### values

    public static SmiManager.OctetStringDefaultFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SmiManager.OctetStringDefaultFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDisplayHint

    public String getDisplayHint()
    Gets the DISPLAY-HINT format.
    Returns:
      a DISPLAY-HINT format for OCTET-STRING.